Bug 72245 - service httpd reload problem
service httpd reload problem
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 07:11 EDT by John Airey
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-22 04:34:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Airey 2002-08-22 07:11:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
With the latest update to Apache, "service httpd reload" no longer works.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[root@vale root]# rpm -Uvh apache-1.3.22-6.i386.rpm 
Preparing...                ########################################### [100%]
   1:apache                 warning: /etc/httpd/conf/httpd.conf created 
as /etc/httpd/conf/httpd.conf.rpmnew
########################################### [100%]


Actual Results:  [root@vale root]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]
[root@vale root]# service httpd reload 
Usage: httpd 
{start|stop|restart|condrestart|status|fullstatus|graceful|help|configtest}


Expected Results:  [root@vale root]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]
[root@vale root]# service httpd reload
Reloading httpd:                                           [  OK  ]


Additional info:

It is possible to workaround this using "service httpd graceful", however this 
does cause problems where a reload is automated in scripts (eg log rotation).
Comment 1 John Airey 2002-08-28 11:36:56 EDT
This also applies to RedHat 7.3. It was only when I went on the RHCE 300 course 
that I noticed the inconsistency.
Comment 2 John Airey 2002-10-08 08:19:12 EDT
Are you going to do anything about this bug? It's over a month since I logged it?

You will undoubtedly be releasing an update for Apache 1.3.27 soon, so why not
fix this one with that update too? Please?
Comment 3 John Airey 2002-10-08 08:20:10 EDT
I've changed the priority given that you can fix this with the next update.
Comment 4 Joe Orton 2002-11-04 06:12:50 EST
This bug is fixed in the Apache 2.0 'httpd' package in 8.0, FYI.
Comment 5 John Airey 2002-11-04 10:41:34 EST
Thanks for that. There's a good chance we'll be moving to Red Hat 8.0 soon. 
However, that still doesn't solve the actual problem. Can you assure me that 
this bug will be fixed in the next version of Apache that you release? As far 
as I can see, the updates in Apache 1.3.27 are relevant to Red Hat (unless you 
can convince me otherwise).
Comment 6 Joe Orton 2003-08-26 11:09:12 EDT
The fix for this bug will be integrated for a forthcoming erratum.
Comment 7 Brian Brock 2003-09-10 16:01:33 EDT
fix verified in QA.
Comment 8 Mark J. Cox (Product Security) 2003-09-22 04:34:39 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-243.html

Note You need to log in before you can comment on or make changes to this bug.